Bug 694658 - (CVE-2011-1499, CVE-2011-1843) CVE-2011-1499 CVE-2011-1843 tinyproxy: multiple flaws corrected in version 1.8.3
CVE-2011-1499 CVE-2011-1843 tinyproxy: multiple flaws corrected in version 1.8.3
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100516,reported=20110407,sou...
: Security
Depends On: 701687 701688
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 17:11 EDT by Vincent Danen
Modified: 2015-08-22 11:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-07 17:11:40 EDT
It was reported [1] that tinyproxy prior to version 1.8.3, when configured to allow a network range (i.e. "Allow 192.168.0.0/24" versus the default "Allow 127.0.0.1"), would allow any connections from any IP address, turning it into an open proxy.  If tinyproxy were configured with one or more Allow statements that use an IP range, this would occur.

This has been fixed upstream [2] and affects the versions of tinyproxy as provided by Fedora and EPEL.

[1] https://banu.com/bugzilla/show_bug.cgi?id=90
[2] https://banu.com/cgit/tinyproxy/commit/?id=e8426f6662dc467bd1d827100481b95d9a4a23e4
Comment 1 Vincent Danen 2011-04-08 16:49:56 EDT
This was assigned the name CVE-2011-1499.
Comment 2 Vincent Danen 2011-05-03 11:03:30 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1843 to
the following vulnerability:

Name: CVE-2011-1843
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1843
Assigned: 20110502
Reference: https://banu.com/bugzilla/show_bug.cgi?id=90
Reference: https://banu.com/cgit/tinyproxy/diff/?id=97b9984484299b2ce72f8f4fc3706dab8a3a8439

Integer overflow in conf.c in Tinyproxy before 1.8.3 might allow
remote attackers to bypass intended access restrictions in
opportunistic circumstances via a TCP connection, related to improper
handling of invalid port numbers.


The above is a related but slightly different issue (note the same bug, but different commits).
Comment 3 Vincent Danen 2011-05-03 11:04:22 EDT
Created tinyproxy tracking bugs for this issue

Affects: fedora-all [bug 701687]
Affects: epel-all [bug 701688]
Comment 4 Fedora Update System 2013-09-21 04:33:42 EDT
tinyproxy-1.8.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-22 20:01:50 EDT
tinyproxy-1.8.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.